# Constant Field Values

## Contents

- jakarta.servlet.*

## jakarta.servlet.*

jakarta.servlet.jsp.JspWriter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER`
`-1`
`public static final int`
`NO_BUFFER`
`0`
`public static final int`
`UNBOUNDED_BUFFER`
`-2`
jakarta.servlet.jsp.PageContext
Modifier and Type
Constant Field
Value
`public static final String`
`APPLICATION`
`"jakarta.servlet.jsp.jspApplication"`
`public static final int`
`APPLICATION_SCOPE`
`4`
`public static final String`
`CONFIG`
`"jakarta.servlet.jsp.jspConfig"`
`public static final String`
`EXCEPTION`
`"jakarta.servlet.jsp.jspException"`
`public static final String`
`OUT`
`"jakarta.servlet.jsp.jspOut"`
`public static final String`
`PAGE`
`"jakarta.servlet.jsp.jspPage"`
`public static final int`
`PAGE_SCOPE`
`1`
`public static final String`
`PAGECONTEXT`
`"jakarta.servlet.jsp.jspPageContext"`
`public static final String`
`REQUEST`
`"jakarta.servlet.jsp.jspRequest"`
`public static final int`
`REQUEST_SCOPE`
`2`
`public static final String`
`RESPONSE`
`"jakarta.servlet.jsp.jspResponse"`
`public static final String`
`SESSION`
`"jakarta.servlet.jsp.jspSession"`
`public static final int`
`SESSION_SCOPE`
`3`

jakarta.servlet.jsp.tagext.BodyTag
Modifier and Type
Constant Field
Value
`public static final int`
`EVAL_BODY_BUFFERED`
`2`
jakarta.servlet.jsp.tagext.IterationTag
Modifier and Type
Constant Field
Value
`public static final int`
`EVAL_BODY_AGAIN`
`2`
jakarta.servlet.jsp.tagext.Tag
Modifier and Type
Constant Field
Value
`public static final int`
`EVAL_BODY_INCLUDE`
`1`
`public static final int`
`EVAL_PAGE`
`6`
`public static final int`
`SKIP_BODY`
`0`
`public static final int`
`SKIP_PAGE`
`5`
jakarta.servlet.jsp.tagext.TagAttributeInfo
Modifier and Type
Constant Field
Value
`public static final String`
`ID`
`"id"`
jakarta.servlet.jsp.tagext.TagInfo
Modifier and Type
Constant Field
Value
`public static final String`
`BODY_CONTENT_EMPTY`
`"empty"`
`public static final String`
`BODY_CONTENT_JSP`
`"JSP"`
`public static final String`
`BODY_CONTENT_SCRIPTLESS`
`"scriptless"`
`public static final String`
`BODY_CONTENT_TAG_DEPENDENT`
`"tagdependent"`
jakarta.servlet.jsp.tagext.VariableInfo
Modifier and Type
Constant Field
Value
`public static final int`
`AT_BEGIN`
`1`
`public static final int`
`AT_END`
`2`
`public static final int`
`NESTED`
`0`